<div class="container">
  <div class="row justify-content-center">
    <div class="col-4 box-padding">
      <div *ngIf="!isVerified; else elseBlock">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Forgot password?</mat-card-title>
            <mat-card-subtitle>Enter email to verify account</mat-card-subtitle>
          </mat-card-header>
          <mat-card-content>
            <div class="form-container forgotPassword-container">
              <form class="forgotPassword-form">
                <mat-form-field class="forgotPassword-full-width" appearance="fill">
                  <mat-label>Email</mat-label>
                  <input
                    type="email"
                    name="email"
                    matInput
                    placeholder="example@example.com"
                    [(ngModel)]="email"
                  />
                </mat-form-field>
              </form>
              <button mat-flat-button (click)="emailSubmitButton()">Submit</button>
            </div>
          </mat-card-content>
        </mat-card>
      </div>
      <ng-template #elseBlock>
        <mat-card>
          <mat-card-header>
            <mat-card-title>Change Password</mat-card-title>
            <mat-card-subtitle>Enter new password to reset your password</mat-card-subtitle>
          </mat-card-header>
          <mat-card-content>
            <div class="form-container forgotPassword-container">
              <form class="forgotPassword-form">
                <mat-form-field class="forgotPassword-full-width" appearance="fill">
                  <mat-label>New password</mat-label>
                  <input
                    type="password"
                    name="password"
                    matInput
                    placeholder="New password"
                    [(ngModel)]="password"
                    autocomplete="new-password"
                  />
                </mat-form-field>
              </form>
              <button mat-flat-button (click)="passwordSubmitButton()">Submit</button>
            </div>
          </mat-card-content>
        </mat-card>
      </ng-template>
    </div>
  </div>
</div>
